Update integrated template
POST/integrated-templates/:internal_id
Update integrated template
Request
Path Parameters
- application/json
Body
required
- MOD1
- MOD1
- MOD1
- MOD1
Array [
- MOD1
- MOD1
- MOD2
- MOD3
- MOD4
- MOD1
- MOD1
- MOD1
Array [
- MOD1
- MOD1
- MOD1
- MOD1
- MOD1
]
]
Possible values: [ALLERGY, ANESTHESIOLOGY, CARDIOLOGY, DERMATOLOGY, ENDOCRINOLOGY, GASTROENTEROLOGY, GERIATRICS, GYNECOLOGY, HEMATOLOGY, INFECTIOUS_DISEASE, INTERNAL_MEDICINE, NEPHROLOGY, NEUROLOGY, OBSTETRICS, ONCOLOGY, OPHTHALMOLOGY, ORTHOPEDICS, OTOLARYNGOLOGY, PATHOLOGY, PEDIATRICS, PSYCHIATRY, PULMONOLOGY, RADIOLOGY, RHEUMATOLOGY, SURGERY, UROLOGY, SPORTS_MEDICINE, MAXILLOFACIAL, VASCULAR, EMERGENCY, NURSING, GENERAL]
Default value: GENERAL
report_metadata_idobject
anyOf
Default value: true
Generate report template from the facility template.
Define UI report section layout.
internal_idobject
The new internal ID if null keep the old one.
anyOf
custom_jsonobject
anyOf
fieldsobject
All desired fields correctly defined.
anyOf
Possible values: [TRANSCRIPT, DATETIME, STRING, NUMBER, BOOLEAN, LIST, CONCEPT, CONCEPT_LIST]
Default value: STRING
choice_set_idobject
anyOf
integer
defaultobject
anyOf
string
integer
number
boolean
mappingobject
JMESPath to field location in custom JSON
anyOf
string
optionsobject
anyOf
object
choicesobject
anyOf
fhirCodes
object
anyOf
object
internalCode
object
anyOf
string
conceptSetId
object
anyOf
integer
display
object
anyOf
string
displayTranslations
object
anyOf
Responses
- 200
- 422
- application/json
- Schema
- Example (from schema)
Schema
- MOD1
Array [
- MOD1
- MOD1
- MOD2
- MOD3
- MOD4
- MOD1
- MOD1
- ConceptSetRead
- MOD1
- MOD1
Array [
- MOD1
- MOD1
- MOD1
]
]
- ReportTemplateInfo
Array [
- MOD1
- MOD1
- MOD1
- MOD1
- MOD1
- MOD1
- MOD1
- MOD1
- MOD1
Array [
- MOD1
]
]
Array [
- MOD1
Array [
]
- MOD1
Array [
- MOD1
]
- MOD1
- MOD1
]
- MOD1
payload_specobjectrequired
custom_json
object
anyOf
object
fieldsobject[]required
Possible values: [TRANSCRIPT, DATETIME, STRING, NUMBER, BOOLEAN, LIST, CONCEPT, CONCEPT_LIST]
Default value: STRING
choice_set_id
object
anyOf
integer
default
object
anyOf
string
integer
number
boolean
mapping
object
JMESPath to field location in custom JSON
anyOf
string
options
object
anyOf
object
choice_set
object
anyOf
description
object
anyOf
string
facility_id
object
anyOf
integer
concepts
object[]
required
fhirCodes
object
anyOf
object
internalCode
object
anyOf
string
conceptSetId
object
anyOf
integer
report_template
object
anyOf
questions
object[]required
Possible values: [STRING, NUMBER, BOOLEAN, LIST, CONCEPT, CONCEPT_LIST, SUBQUESTIONS]
A hint to feed the LLM so that it knows what it's looking for. Also used in the frontend to choose which widget to show (input, select, etc).
Possible values: [TEXTAREA, TEXT, SELECT, LIST, GROUP, MULTISELECT, MULTIWIDGET, SUBQUESTIONS]
Default value: TEXTAREA
Possible values: [OBSERVATION, CONDITION, MEDICATION_REQUEST, SERVICE_REQUEST, ALLERGY_INTOLERANCE, CARE_PLAN]
Default value: OBSERVATION
coding
object
anyOf
object
choiceSetId
object
The id of the choice set.
anyOf
integer
facilityId
object
anyOf
integer
payloadFieldId
object
The id of the facility field the question is based on.
anyOf
integer
parentQuestionId
object
The id of the parent question.
anyOf
integer
The short description of the question. This is seen by the doctor as a label to the question
prompt
object
The question prompt that is fed to the LLM.
anyOf
string
betaPrompt
object
anyOf
string
description
object
anyOf
string
choices
object
The choices for a question, must be one of our 'Concepts'
anyOf
internal_code
object
anyOf
string
Possible values: [extractive, generative, manual, action]
Default value: extractive
structure
objectrequired
A report template structure dictates a report's sections, distribution, and entries' definitions by their question and targeting field.
sections
object[]
required
children
object
anyOf
entries
object
anyOf
target_field_id
object
Target field pk id of the linked facility map.
anyOf
integer
title
object
anyOf
string
title_translations
object
anyOf
payload_spec_id
object
Facility map ID.
anyOf
integer
Id of the linked report metadata.
{
"payload_spec": {
"internal_id": "string",
"title": "string",
"custom_json": {},
"id": 0,
"fields": [
{
"internal_id": "string",
"name": "string",
"description": "string",
"type": "STRING",
"choice_set_id": 0,
"default": "string",
"required": false,
"mapping": "string",
"options": {},
"id": 0,
"choice_set": {}
}
],
"facility_id": 0
},
"report_template": {}
}
- application/json
- Schema
- Example (from schema)
Schema
Array [
Array [
- MOD1
- MOD2
]
]
detailobject[]
locobject[]required
anyOf
string
integer
{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string"
}
]
}